# PASN_GeneralisedTime Class Reference

`#include <asner.h>`

List of all members.

## Public Member Functions

| PASN_GeneralisedTime ()
| PASN_GeneralisedTime (const PTime &time)
| PASN_GeneralisedTime (unsigned theTag, TagClass theTagClass)
PASN_GeneralisedTime & | operator= (const PTime &time)
void | SetValue (const PTime &time)
PTime | GetValue () const

## Constructor & Destructor Documentation

PASN_GeneralisedTime::PASN_GeneralisedTime | ( |  | ) | `[inline]`

PASN_GeneralisedTime::PASN_GeneralisedTime | ( | const PTime & | time | ) | `[inline]`

PASN_GeneralisedTime::PASN_GeneralisedTime | ( | unsigned | theTag,
|  | TagClass | theTagClass |
| ) |  |  | `[inline]`

## Member Function Documentation

PTime PASN_GeneralisedTime::GetValue | ( |  | ) | const

PASN_GeneralisedTime& PASN_GeneralisedTime::operator= | ( | const PTime & | time | ) |

void PASN_GeneralisedTime::SetValue | ( | const PTime & | time | ) | `[inline]`

The documentation for this class was generated from the following file:

- asner.h